# $Revision: 1.18 $, $Date: 2008/10/22 20:17:02 $
Summary:	GnomeVFS module for accessing Windows CE and Pocket PC devices
Summary(pl.UTF-8):	Moduł GnomeVFS służący do dostępu do urządzeń Windows CE i Pocket PC
Name:		synce-gnomevfs
Version:	0.12
Release:	1
License:	MIT
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/synce/%{name}-%{version}.tar.gz
# Source0-md5:	b460273d980c6ce0289f0beca9484f78
Patch0:		%{name}-no_cxx.patch
URL:		http://www.synce.org/
BuildRequires:	automake
BuildRequires:	gnome-vfs2-devel >= 2.14.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	synce-librapi2-devel >= %{version}
%requires_eq_to	synce-librapi2 synce-librapi2-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SynCE-GnomeVFS is a GnomeVFS module for accessing Windows CE and
Pocket PC devices. It is part of the SynCE project:
<http://www.synce.org/>.

%description -l pl.UTF-8
SynCE-GnomeVFS to moduł GnomeVFS służący do dostępu do urządzeń
Windows CE i Pocket PC. Jest on częścią projektu SynCE:
<http://www.synce.org/>.

%prep
%setup -q
%patch0 -p0

%build
cp -f /usr/share/automake/config.* .
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.la
rm $RPM_BUILD_ROOT%{_libdir}/synce-trayicon/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE README
%attr(755,root,root) %{_bindir}/synce-in-computer-folder
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/libsyncevfs.so
%attr(755,root,root) %{_libdir}/synce-trayicon/modules/gnomevfs-trayicon-module.so
%{_sysconfdir}/gnome-vfs-2.0/modules/synce-module.conf
%{_iconsdir}/hicolor/*/apps/synce-gnomevfs.png
# dir shared with synce-rra, synce-software-manager, synce-trayicon
%dir %{_datadir}/synce
%attr(755,root,root) %{_datadir}/synce/synce-in-computer-folder.sh
%{_mandir}/man1/synce-in-computer-folder.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: synce-gnomevfs.spec,v $
Revision 1.18  2008/10/22 20:17:02  sls
- added no_cxx.patch, rm BR: libstdc++-devel

Revision 1.17  2008/10/22 20:12:42  sls
- BR fixes

Revision 1.16  2008/10/22 19:49:44  sls
- ver. 0.12

Revision 1.15  2008/05/16 19:24:34  wolvverine
- up to 0.11.1

Revision 1.14  2008-01-27 02:11:43  glen
- update to 0.11, remove excludearch list

Revision 1.13  2007-02-12 22:09:16  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.11  2006/12/11 21:30:01  glen
- new URL

Revision 1.10  2005/05/24 16:37:48  wiget
- release 2, STBR

Revision 1.9  2005/05/11 14:40:56  qboosh
- updated 64-bit archs list

Revision 1.8  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.7  2004/12/26 01:59:32  qboosh
- librapi2 is not ready for 64-bit pointers :/

Revision 1.6  2004/12/26 01:52:59  qboosh
- updated deps, added docs

Revision 1.5  2004/12/02 09:29:41  tiwek
- Release 1
- Build and nice work

Revision 1.4  2004/11/26 20:14:33  qboosh
- pixmapsdir moved to synce

Revision 1.3  2004/11/26 20:05:54  qboosh
- pl, more cleanups and fixes

Revision 1.2  2004/11/26 18:22:41  ankry
- post-tiwek cleaning

Revision 1.1  2004/11/26 14:43:39  tiwek
- build
